#
# spec file for package dosbootdisk (Version 1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dosemu xextra xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils dosemu e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xextra xf86 xshared

Name:         dosbootdisk
Copyright:    GPL
Group:        Base
Autoreqprov:  on
Summary:      DOS boot disk based on FreeDOS.
Version:      1.0
Release:      41
Source:       ker2024d.zip
Source1:      mkfloppy.bat
Source2:      dosimg
Source3:      autoexec.bat
Source4:      config.sys
Source5:      dosformat

%description
A FreeDOS boot disk. Useful, for instance, if you need to run a
flash program to update your BIOS.

Authors:
--------
    Steffen Winterfeldt

SuSE series: a

%prep
%setup -c
unzip %{SOURCE0}

%build
HOME=$RPM_BUILD_ROOT/root
rm -rf $HOME/{.,}dosemu
mkdir -p $HOME/.dosemu
touch $HOME/.dosemu/disclaimer
dosemu </dev/null
cp $HOME/dosemu/conf/dosemu.conf $HOME/dosemu/conf/d
rm -f $HOME/dosemu/conf/dosemu.conf
mv $HOME/dosemu/conf/d $HOME/dosemu/conf/dosemu.conf
echo 'floppy { heads 2 sectors 18 tracks 80 threeinch file /tmp/floppyimage }' >>$HOME/dosemu/conf/dosemu.conf
cp -a kernel %{SOURCE1} %{SOURCE3} %{SOURCE4} $HOME
%{SOURCE2} /tmp/floppyimage
#screen -D -m dosemu -E d:mkfloppy
Xvfb :95 &
trap "kill $!" EXIT
sleep 5
DISPLAY=:95 xdosemu -E d:mkfloppy

%install
install -d -m 755 /usr/share/dosbootdisk
install -d -m 755 %{_docdir}/dosbootdisk
gzip -9c /tmp/floppyimage >/usr/share/dosbootdisk/floppy.gz
install -m 755 $RPM_SOURCE_DIR/dosformat /usr/bin

%files
/usr/share/dosbootdisk
/usr/bin/dosformat

%changelog -n dosbootdisk
* Wed Sep 05 2001 - sndirsch@suse.de
- added script 'dosformat' for creating FreeDOS bootdisk
* Mon Aug 27 2001 - snwint@suse.de
- created initial version
